<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
include('php_gene1.php'); 


if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}
$tipo=$_POST['tipo']; 
$docu=$_POST['docu']; 
$idnum=$_POST['idnum']; 
// $ffile=$_POST['ffile']; 
// $ffile2=substr($ffile,0,48);

// $rutace='../../_cele/';
// if (!file_exists($rutace)){mkdir($rutace);}

// 	echo '*/*/*'.$_SESSION['user_codigo'].$user_codigo;

// echo $tipo;
$claveacc='';

if($tipo=='firma')
{
	$claveacc=firma_ce($docu,$idnum);
	ws_recep($claveacc);
	sleep(3);
	echo ws_autor($claveacc);
	return $claveacc;
}

if($tipo=='recep')
{
	$claveacc=$docu;
	ws_recep($claveacc);
	sleep(5);
	echo ws_autor($claveacc);
	return $claveacc;
}


if($tipo=='autor')
{
	$claveacc=$docu;
// 	sleep(5);
	echo ws_autor($claveacc);
	return $claveacc;
}

if($tipo=='email')
{
	$claveacc=$docu;
// 	sleep(5);
	mail_ce($claveacc);
	return $claveacc;
}

return $claveacc;

// if($tipo=='clac')
// {
// 	if($_SESSION['user_cedula']=='0915379374'){$ffile=$ffile2.val_mod11($ffile2);}
	
// 	if(val_clac($ffile))
// 	{
// 		$msj ='<div style="font-family:courier new; font-size:14px;">';
// 		$msj.='<hr>';
// 		$msj.=' Clave : '.$ffile.'<br>';	
// 		echo $msj;	
// 		echo upl_cexml($ffile);
// 	}
// 	else
// 	{
// 		$msj ='<div style="font-family:courier new; font-size:14px;">';
// 		$msj.='<hr>';
// 		$msj.=' Clave : '.$ffile.' ==> NO VALIDA<br>'. val_clac($ffile);	
// 		echo $msj;	
// 	}
// }

// if($tipo=='.xml')
// {
// 	if($_FILES['ffile']['type']!='text/xml'){die();}
// 	$n_original=$_FILES['ffile']['name'];
// 	$n_tempo=$_FILES['ffile']['tmp_name'];

// 	$msj ='<div style="font-family:courier new; font-size:14px;">';
// 	$msj.='<hr>';
// // 			$msj.='*** COMPROBANTE OK ***'.'<br>';
// 	$msj.='<br>'.' Archivo : '.$n_original.'<br>';	
	
// 	echo $msj;	
	
// 	$DOM1 = new DOMDocument('1.0', 'utf-8');
// 	$xml1=file_get_contents($n_tempo);
// 	$DOM1->loadXML($xml1);
// 	$numautor=$DOM1->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
// 	$claveacc=$DOM1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
// 	$dcou="";

// 	$DOM2 = new DOMDocument('1.0', 'utf-8');
// 	$xml2=$DOM1->getElementsByTagName('comprobante')->item(0)->nodeValue;
// 	if($claveacc==""){$DOM2->loadXML($xml2);}
// 	else{$DOM2->loadXML($xml1);}
	
// 	$claveacc=$DOM2->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
// 	if(val_clac($claveacc))
// 	{
// 		$n_destino=$rutace.$claveacc.'.xml';
// 		if(move_uploaded_file($n_tempo, $n_destino))
// 		{
// 			echo upl_cexml($claveacc);
// 			$msj ='';
// 			$msj.='</div>'.'<br>';	
// 			echo $msj;
// 		}
// 		else
// 		{echo 'Error en Archivo'.strtoupper($n_original);}
// 	}
	
// }

// if($tipo=='.txt')
// {
// 	$msj ='<div style="font-family:courier new; font-size:14px;">';
// 	$msj.='<hr>';
// 	echo $msj;
	
// 	$n_original=$_FILES['ffile']['name'];
// 	$n_tempo=$_FILES['ffile']['tmp_name'];
// 	$n_destino=$rutace.$n_original;
// 	if($_FILES['ffile']['type']!='text/plain'){die('<br>'.'Formato NO VALIDO :'.strtoupper($n_original));}
// 	if(move_uploaded_file($n_tempo, $n_destino))
// 	{
// 		echo '<br>'.'Cargo Archivo : '.strtoupper($n_original); 
// 		echo upl_claves($n_original);
// 	}
// 	else
// 	{echo '<br>'.'Error en Archivo'.strtoupper($n_original);}
	
// }

// if($tipo=='full')
// {
// 	echo '<br>'.'Cargando Datos....FULL';
// 	echo upl_claves2();
// }

return;


?>







